Maps Attribution: static map display
Closed, ResolvedPublic

Description

For static maps, we need to always display an attribution line for Wikimedia and OpenStreetMap (OSM), no matter the size of the map.

As referenced here, for OSM, we need the following:

Our requested attribution is "© OpenStreetMap contributors". Because OpenStreetMap is its contributors, you may omit the word "contributors" if space is limited.

For static maps - the minimum attribution to be displayed is:

and the link will be attached to "Wikimedia" in the attribution line for all static maps: https://wikimediafoundation.org/wiki/Maps_Terms_of_Use

debt created this task.Nov 29 2016, 5:45 PM
debt moved this task from Backlog to Prioritized on the Maps-Sprint board.Nov 30 2016, 7:29 PM
debt removed a project: Maps.Dec 12 2016, 5:15 PM
debt updated the task description. (Show Details)
JGirault claimed this task.Dec 12 2016, 7:33 PM
JGirault moved this task from Prioritized to In progress on the Maps-Sprint board.Dec 13 2016, 6:00 PM

Change 327015 had a related patch set uploaded (by JGirault):
Update attribution text and add it to static frames

https://gerrit.wikimedia.org/r/327015

This patch actually updates the attribution text for interactive maps as well:

The link points to https://www.mediawiki.org/wiki/Maps/terms_of_use as opposed to https://wikimediafoundation.org/wiki/Maps_Terms_of_Use (what the ticket description said)

@debt do you confirm the link?

debt added a comment.Dec 13 2016, 6:41 PM

Hi @JGirault - we want to use the new link URL: https://wikimediafoundation.org/wiki/Maps_Terms_of_Use - that's what we received from Legal during yesterday's meeting. I referenced it in an email yesterday, and updated this ticket's description with the new link to use. Thanks!

Hi @JGirault - we want to use the new link URL: https://wikimediafoundation.org/wiki/Maps_Terms_of_Use - that's what we received from Legal during yesterday's meeting. I referenced it in an email yesterday, and updated this ticket's description with the new link to use. Thanks!

There's no content in that page. Are you sure? I agree that the terms of use for maps are best located on wikimediafoundation.org, but pointing to a working link is better. :-)

debt added a comment.Dec 13 2016, 6:50 PM

agreed - a working link is much better and we've seen and agreed with the draft wording from Legal. I'll add that wording into that page and we can update as needed afterward. It'll be a working link shortly.

Change 327274 had a related patch set uploaded (by Yurik):
Add Terms of Use link on static and dynamic maps

https://gerrit.wikimedia.org/r/327274

Change 327275 had a related patch set uploaded (by Yurik):
Add Terms of Use link on static and dynamic maps

https://gerrit.wikimedia.org/r/327275

Change 327015 merged by jenkins-bot:
Add Terms of Use link on static and dynamic maps

https://gerrit.wikimedia.org/r/327015

Change 327275 abandoned by Yurik:
Add Terms of Use link on static and dynamic maps

Reason:
only v6 is needed by now

https://gerrit.wikimedia.org/r/327275

JGirault moved this task from Needs review to Done on the Maps-Sprint board.Dec 15 2016, 12:06 AM

Change 327274 merged by jenkins-bot:
Add Terms of Use link on static and dynamic maps

https://gerrit.wikimedia.org/r/327274

debt moved this task from Done to Needs review on the Maps-Sprint board.Dec 15 2016, 4:36 PM

Moving this back to needs review - as it was reverted last night during SWAT: https://gerrit.wikimedia.org/r/#/c/327274/

Yurik moved this task from Needs review to Done on the Maps-Sprint board.EditedDec 16 2016, 2:29 AM

@debt it is done, noone needs to review it, it will ride the next train. Only the swat was reverted due to complexity of swating i18n changes.

debt closed this task as Resolved.

FYI, the maps attribution link went live this week (via the train), thus this ticket and T151900 are now complete.